RagTime5StyleManager::GraphicStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5StyleManager::GraphicStyle Struct Reference

the graphic style of a RagTime v5-v6 document More...

`#include <RagTime5StyleManager.hxx>`

## Public Member Functions
| GraphicStyle ()
| constructor More...
virtual | ~GraphicStyle ()
| destructor More...
bool | isDefault () const
| returns true if the line style is default More...
bool | updateColor (bool first, int colorId, std::vector< MWAWColor > const &colorList)
| update the first/second color using the color list More...
void | insert (GraphicStyle const &childStyle)
| update the current style More...
bool | read (MWAWInputStreamPtr &input, RagTime5StructManager::Field const &field, std::vector< MWAWColor > const &colorList)
| try to read a graphic style More...
| GraphicStyle (GraphicStyle const &)=default
| GraphicStyle (GraphicStyle &&)=default
GraphicStyle & | operator= (GraphicStyle const &)=default
GraphicStyle & | operator= (GraphicStyle &&)=default

## Public Attributes
int | m_parentId
| the parent id More...
float | m_width
| the line width (in point) More...
MWAWVariable< MWAWColor > | m_colors [2]
| the first and second color More...
float | m_colorsAlpha [2]
| alpha of the first and second color More...
MWAWVariable< std::vector< long > > | m_dash
| the line dash/... More...
std::shared_ptr< MWAWGraphicStyle::Pattern > | m_pattern
| the line pattern More...
int | m_gradient
| the gradient 0: none, normal, radial More...
float | m_gradientRotation
| the gradient rotation(checkme) More...
MWAWVariable< MWAWVec2f > | m_gradientCenter
| the rotation center(checkme) More...
int | m_position
| the line position inside=1/normal/outside/round More...
int | m_cap
| the line caps ( normal=1, round, square) More...
int | m_mitter
| the line mitter ( triangle=1, round, out) More...
float | m_limitPercent
| the line limit More...
MWAWVariable< bool > | m_hidden
| flag to know if we need to print the shape More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicStyle const &style)
| operator<< More...

## Detailed Description

the graphic style of a RagTime v5-v6 document

## Constructor & Destructor Documentation

## ◆ GraphicStyle() [1/3]

RagTime5StyleManager::GraphicStyle::GraphicStyle | ( |  | ) |
| inline

constructor

## ◆ ~GraphicStyle()

RagTime5StyleManager::GraphicStyle::~GraphicStyle | ( |  | ) |
| virtual

destructor

## ◆ GraphicStyle() [2/3]

RagTime5StyleManager::GraphicStyle::GraphicStyle | ( | GraphicStyle const & |  | ) |
| default

## ◆ GraphicStyle() [3/3]

RagTime5StyleManager::GraphicStyle::GraphicStyle | ( | GraphicStyle && |  | ) |
| default

## Member Function Documentation

## ◆ insert()

void RagTime5StyleManager::GraphicStyle::insert | ( | RagTime5StyleManager::GraphicStyle const & | childStyle | ) |

update the current style

Referenced by RagTime5StyleManager::updateGraphicStyles().

## ◆ isDefault()

bool RagTime5StyleManager::GraphicStyle::isDefault | ( |  | ) | const
| inline

returns true if the line style is default

## ◆ operator=() [1/2]

GraphicStyle & RagTime5StyleManager::GraphicStyle::operator= | ( | GraphicStyle && |  | ) |
| default

## ◆ operator=() [2/2]

GraphicStyle & RagTime5StyleManager::GraphicStyle::operator= | ( | GraphicStyle const & |  | ) |
| default

## ◆ read()

bool RagTime5StyleManager::GraphicStyle::read | ( | MWAWInputStreamPtr & | input,
|  | RagTime5StructManager::Field const & | field,
|  | std::vector< MWAWColor > const & | colorList
| ) |  |

try to read a graphic style

Referenced by RagTime5StyleManagerInternal::GraphicFieldParser::parseField().

## ◆ updateColor()

bool RagTime5StyleManager::GraphicStyle::updateColor | ( | bool | first,
|  | int | colorId,
|  | std::vector< MWAWColor > const & | colorList
| ) |  |

update the first/second color using the color list

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | RagTime5StyleManager::GraphicStyle const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cap

int RagTime5StyleManager::GraphicStyle::m_cap

the line caps ( normal=1, round, square)

Referenced by insert(), and isDefault().

## ◆ m_colors

MWAWVariable<MWAWColor> RagTime5StyleManager::GraphicStyle::m_colors[2]

the first and second color

Referenced by GraphicStyle(), insert(), and isDefault().

## ◆ m_colorsAlpha

float RagTime5StyleManager::GraphicStyle::m_colorsAlpha[2]

alpha of the first and second color

Referenced by GraphicStyle(), insert(), and isDefault().

## ◆ m_dash

MWAWVariable<std::vector<long> > RagTime5StyleManager::GraphicStyle::m_dash

the line dash/...

Referenced by insert(), and isDefault().

## ◆ m_extra

std::string RagTime5StyleManager::GraphicStyle::m_extra

extra data

Referenced by insert(), and isDefault().

## ◆ m_gradient

int RagTime5StyleManager::GraphicStyle::m_gradient

the gradient 0: none, normal, radial

Referenced by insert(), and isDefault().

## ◆ m_gradientCenter

MWAWVariable<MWAWVec2f> RagTime5StyleManager::GraphicStyle::m_gradientCenter

the rotation center(checkme)

Referenced by insert(), and isDefault().

## ◆ m_gradientRotation

float RagTime5StyleManager::GraphicStyle::m_gradientRotation

the gradient rotation(checkme)

Referenced by insert(), and isDefault().

## ◆ m_hidden

MWAWVariable<bool> RagTime5StyleManager::GraphicStyle::m_hidden

flag to know if we need to print the shape

Referenced by insert(), and isDefault().

## ◆ m_limitPercent

float RagTime5StyleManager::GraphicStyle::m_limitPercent

the line limit

Referenced by insert(), and isDefault().

## ◆ m_mitter

int RagTime5StyleManager::GraphicStyle::m_mitter

the line mitter ( triangle=1, round, out)

Referenced by insert(), and isDefault().

## ◆ m_parentId

int RagTime5StyleManager::GraphicStyle::m_parentId

the parent id

Referenced by isDefault(), and RagTime5StyleManager::readGraphicStyles().

## ◆ m_pattern

std::shared_ptr<MWAWGraphicStyle::Pattern> RagTime5StyleManager::GraphicStyle::m_pattern

the line pattern

Referenced by insert(), and isDefault().

## ◆ m_position

int RagTime5StyleManager::GraphicStyle::m_position

the line position inside=1/normal/outside/round

Referenced by insert(), and isDefault().

## ◆ m_width

float RagTime5StyleManager::GraphicStyle::m_width

the line width (in point)

Referenced by insert(), and isDefault().

The documentation for this struct was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx